CON
           
' *******************************************************************************************************
' *                                                                                                     *
' *     Pin Definitions                                 PinDefs_AiChip_ProtoBoard_Orginal_001.spin      *
' *                                                                                                     *
' *******************************************************************************************************

CON
  _CLKMODE      = XTAL1 + PLL16x
  _XINFREQ      = 7_372_800                             ' 118MHz Operation ! Works for me on ProtoBoard :-)

CON
  TV_ADC1 = 12                                          ' Set to -Ve if not used
  LED_1   = 9                                           ' Set to -Ve if not used

PUB SetPins
  pindefs.SetPin( String("TV_ADC1") , TV_ADC1 )
  pindefs.SetPin( String("LED_1")   , LED_1   )

CON

' *******************************************************************************************************
' *                                                                                                     *
' *     No need to update any of the following except for new PinDefs_Library_XXX.spin                  *
' *                                                                                                     *
' *******************************************************************************************************

OBJ
  pindefs : "PinDefs_Library_002"
  
PUB GetPinNumber( strPtr )
  return pindefs.GetPinNumber( strPtr )

PUB GetPinName( pinNumber )
  return pindefs.GetPinName( pinNumber )

PUB GetPinTypeIdFromTypeIdName( strPtr )
  return pindefs.GetPinTypeIdFromTypeIdName( strPtr )

PUB GetPinTypeIdNameFromTypeId( pinTypeId )
  return pindefs.GetPinTypeIdNameFromTypeId( pinTypeId )

PUB Alias( strFromPtr, strToPtr )
  return pindefs.Alias( strFromPtr, strToPtr )

